#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf5-kxmlgui
Version		:	5.107.0
Release		:	17.0.10.rel%{?dist}
Summary		:	KDE ramework for managing menu and toolbar actions


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf5-kauth-devel
BuildRequires	:	kf5-kcodecs-devel
BuildRequires	:	kf5-kconfig-devel
BuildRequires	:	kf5-kconfigwidgets-devel
BuildRequires	:	kf5-kcoreaddons-devel
BuildRequires	:	kf5-kglobalaccel-devel
BuildRequires	:	kf5-kguiaddons-devel
BuildRequires	:	kf5-kiconthemes-devel
BuildRequires	:	kf5-ki18n-devel
BuildRequires	:	kf5-kitemviews-devel
BuildRequires	:	kf5-ktextwidgets-devel
BuildRequires	:	kf5-kwidgetsaddons-devel
BuildRequires	:	kf5-rpm-macros
BuildRequires	:	glu-devel
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel

#-----------------------------------------------------------------------------
%description
KXMLGUI provides a framework for managing menu and toolbar actions in an
abstract way. The actions are configured through a XML description and hooks
in the application code. The framework supports merging of multiple
description for example for integrating actions from plugins.

#-----------------------------------------------------------------------------
%files			-f %{sname}.lang
%defattr(-,root,root,-)
%doc README.md
%license LICENSES/*.txt
%config %{_kf5_sysconfdir}/xdg/ui/ui_standards.rc
%{_kf5_datadir}/qlogging-categories5/%{sname}.*
%{_kf5_libdir}/libKF5XmlGui.so.5*
%{_kf5_libexecdir}/ksendbugmail
%{_kf5_qtplugindir}/designer/*5widgets.so
 

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf5_includedir}/KXmlGui/
%{_kf5_libdir}/libKF5XmlGui.so
%{_kf5_libdir}/cmake/KF5XmlGui/
%{_kf5_archdatadir}/mkspecs/modules/qt_KXmlGui.pri
%{_qt5_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt5_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

%find_lang %{sname} --all-name

#-----------------------------------------------------------------------------
%changelog
